<?php

namespace App\Http\Controllers\Guru;

use App\Http\Controllers\Controller;
use App\Models\HasilUjian;
use Illuminate\Http\Request;

class NilaiEssayController extends Controller
{
    public function edit($id)
    {
        $hasil = HasilUjian::with(['ujian', 'siswa'])->findOrFail($id);
        return view('guru.ujian.nilai_essay', compact('hasil'));
    }

    public function update(Request $request, $id)
    {
        $request->validate(['nilai_essay' => 'required|integer|min:0']);

        $hasil = HasilUjian::findOrFail($id);
        $hasil->nilai_essay = $request->nilai_essay;
        $hasil->nilai_total = $hasil->nilai_pg + $request->nilai_essay;
        $hasil->save();

        return redirect()->route('guru.ujian.hasil', $hasil->ujian_id)->with('success', 'Nilai essay berhasil disimpan.');
    }
}
