<?php

namespace App\Models;

use Illuminate\Foundation\Auth\User as Authenticatable;  // Menurunkan dari Authenticatable
use Illuminate\Notifications\Notifiable;

class Admin extends Authenticatable  // Menurunkan dari Authenticatable
{
    use Notifiable;

    protected $guard = 'admin'; // Sesuai dengan guard di config/auth.php

    /**
     * Mass assignable attributes.
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * Attributes that should be hidden.
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];
}
