<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class NilaiTotalMapel extends Model
{
    protected $table = 'nilai_total_mapel';  // nama tabel di database

    protected $fillable = [
        'siswa_id',
        'mapel_id',
        'nilai_total',
    ];

    // Jika kamu pakai timestamps di tabel, biarkan, kalau tidak ada, matikan:
    public $timestamps = false;

    // Relasi ke Siswa
    public function siswa()
    {
        return $this->belongsTo(Siswa::class);
    }

    // Relasi ke Mapel
    public function mapel()
    {
        return $this->belongsTo(Mapel::class);
    }
}
