<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PeringkatPaketMapel extends Model
{
    protected $fillable = ['siswa_id', 'paket_mapel_id', 'nilai_total', 'peringkat'];

    public function siswa()
    {
        return $this->belongsTo(Siswa::class);
    }

    public function paket()
    {
        return $this->belongsTo(PaketMapel::class, 'paket_mapel_id');
    }
}
