<div class="navbar-bg"></div>
<nav class="navbar navbar-expand-lg main-navbar">
  <form class="form-inline mr-auto">
    <ul class="navbar-nav mr-3">
      <li>
        <a href="#" data-toggle="sidebar" class="nav-link nav-link-lg"><i class="fas fa-bars"></i></a>
      </li>
    </ul>
  </form>

  <ul class="navbar-nav navbar-right">
    <!-- Notifikasi (bisa disesuaikan) -->

  @if ($tahunAktif)
  <li class="nav-item d-none d-sm-block align-self-center mr-3">
    <span class="text-white font-weight-bold">
      <i class="fas fa-calendar-alt"></i>
      {{ $tahunAktif->tahun }} ({{ ucfirst($tahunAktif->semester) }})
    </span>
  </li>
@endif

    <!-- Profil dan Logout -->
    <li class="dropdown">
      <a href="#" data-toggle="dropdown" class="nav-link dropdown-toggle nav-link-lg nav-link-user">
      
        <div class="d-sm-none d-lg-inline-block">Hi, {{ Auth::user()->name }}</div>
      </a>
      <div class="dropdown-menu dropdown-menu-right">
        <div class="dropdown-title">Login terakhir: {{ now()->diffForHumans(Auth::user()->last_login_at ?? now()) }}</div>

        <a href="{{ route('admin.profile.edit') }}" class="dropdown-item has-icon">
          <i class="far fa-user"></i> Profil
        </a>
        <a href="{{ route('admin.tahun_ajaran.index') }}" class="dropdown-item has-icon">
          <i class="far fa-user"></i> Tahun Ajaran
        </a>

        <div class="dropdown-divider"></div>

        <form method="POST" action="{{ route('logout') }}">
          @csrf
          <button type="submit" class="dropdown-item has-icon text-danger">
            <i class="fas fa-sign-out-alt"></i> Keluar
          </button>
        </form>
      </div>
    </li>
  </ul>
</nav>
