<div class="main-sidebar sidebar-style-2">
  <aside id="sidebar-wrapper">
    <div class="sidebar-brand">
      <a href="{{ route('guru.dashboard') }}">E-Learning</a>
    </div>
    <div class="sidebar-brand sidebar-brand-sm">
      <a href="{{ route('guru.dashboard') }}">E</a>
    </div>

    <ul class="sidebar-menu">
      <li class="menu-header">Dashboard</li>
      <li class="{{ request()->routeIs('guru.dashboard') ? 'active' : '' }}">
        <a class="nav-link" href="{{ route('guru.dashboard') }}">
          <i class="fas fa-fire"></i><span>Dashboard</span>
        </a>
      </li>

      <li class="menu-header">Pelajaran</li>
      <li class="{{ request()->routeIs('guru.pelajaran.index') ? 'active' : '' }}">
        <a class="nav-link" href="{{ route('guru.pelajaran.index') }}">
          <i class="fas fa-book"></i><span>Pelajaran</span>
        </a>
      </li>

      <li class="menu-header">Tugas</li>
      <li class="dropdown {{ request()->is('guru/tugas*') ? 'active' : '' }}">
        <a href="#" class="nav-link has-dropdown"><i class="fas fa-tasks"></i> <span>Tugas</span></a>
        <ul class="dropdown-menu">
          <li><a class="nav-link" href="{{ route('guru.tugas.index') }}">Lihat Tugas</a></li>
          <li><a class="nav-link" href="{{ route('guru.tugas.create') }}">Buat Tugas</a></li>
          <li><a class="nav-link" href="{{ route('guru.penilaian.index') }}">Penilaian</a></li>
        </ul>
      </li>

      <li class="menu-header">Ujian</li>
      <li class="dropdown {{ request()->is('guru/ujian*') ? 'active' : '' }}">
        <a href="#" class="nav-link has-dropdown"><i class="fas fa-pencil-alt"></i> <span>Ujian</span></a>
        <ul class="dropdown-menu">
          <li><a class="nav-link" href="{{ route('guru.ujian.index') }}">Lihat Ujian</a></li>
          <li><a class="nav-link" href="{{ route('guru.ujian.create') }}">Buat Ujian</a></li>
         <li><a class="nav-link" href="{{ route('guru.ujian.hasil.index') }}">Hasil Ujian</a></li>

        </ul>
      </li>

      <li class="{{ request()->routeIs('guru.evaluasi.*') ? 'active' : '' }}">
        <a class="nav-link" href="{{ route('guru.evaluasi.index') }}">
          <i class="fas fa-chart-line"></i> <span>Evaluasi</span>
        </a>
      </li>
    </ul>
  </aside>
</div>
