@extends('guru.layouts.app')

@section('title', 'Tambah Soal Essay')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Tambah Soal Essay</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.ujian.soal_essay', $ujian->id) }}">Soal Essay</a></div>
      <div class="breadcrumb-item active">Tambah Soal Essay</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        <form method="POST" action="{{ route('guru.ujian.soal_essay.store', $ujian->id) }}">
          @csrf
          <div class="form-group mb-3">
            <label for="pertanyaan">Pertanyaan</label>
            <textarea name="pertanyaan" class="form-control @error('pertanyaan') is-invalid @enderror" required>{{ old('pertanyaan') }}</textarea>
            @error('pertanyaan')
              <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>

          <button type="submit" class="btn btn-success">Simpan</button>
          <a href="{{ route('guru.ujian.soal_essay', $ujian->id) }}" class="btn btn-secondary">Batal</a>
        </form>
      </div>
    </div>
  </div>
</section>
@endsection
