@extends('guru.layouts.app')

@section('content')
<section class="section">
      <div class="section-header">
    <h1>Tambah Soal Pilihan Ganda</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item"><a href="{{ route('guru.ujian.index') }}">Ujian</a></div>
      <div class="breadcrumb-item active">Tambah</div>
    </div>
  </div>

   <div class="section-body">
    <div class="card">
  <div class="container mt-4">
    <h4>Edit Soal Pilihan Ganda</h4>

<form action="{{ route('guru.ujian.soal_pg.update', ['ujian' => $soal->ujian_id, 'soal' => $soal->id]) }}" method="POST">
    @csrf
    @method('PUT')

    <div class="mb-3">
        <label>Pertanyaan</label>
        <textarea name="pertanyaan" class="form-control" required>{{ old('pertanyaan', $soal->pertanyaan) }}</textarea>
    </div>

    @foreach (['a','b','c','d'] as $o)
    <div class="mb-3">
        <label>Opsi {{ strtoupper($o) }}</label>
        <input type="text" name="opsi_{{ $o }}" class="form-control"
               value="{{ old('opsi_'.$o, $soal->{'opsi_'.$o}) }}" required>
    </div>
    @endforeach

    <div class="mb-3">
        <label>Jawaban Benar</label>
        <select name="jawaban_benar" class="form-control" required>
            @foreach (['a','b','c','d'] as $o)
            <option value="{{ $o }}" {{ old('jawaban_benar', $soal->jawaban_benar) == $o ? 'selected' : '' }}>
                {{ strtoupper($o) }}
            </option>
            @endforeach
        </select>
    </div>

    <button class="btn btn-primary">Update</button>
    <a href="{{ route('guru.ujian.soal_pg', $soal->ujian_id) }}" class="btn btn-secondary">Batal</a>
</form>

</div>
    </div>
   </div>
   

</section>

@endsection
