@extends('guru.layouts.app')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Detail Soal Ujian</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item"><a href="{{ route('guru.dashboard') }}">Dashboard</a></div>
       <div class="breadcrumb-item"><a href="{{ route('guru.ujian.index') }}">ujian</a></div>
      <div class="breadcrumb-item active">Detail Ujian</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card">
      <div class="card-body">
        <div class="mb-3">
          <strong>Judul Tugas/Ujian:</strong> {{ $ujian->judul }}
        </div>
        <div class="mb-3">
          <strong>Waktu Pengerjaan:</strong> {{ $ujian->waktu }} Menit
        </div>
    <div class="mb-3">
  <strong>Waktu Pengerjaan:</strong> {{ $ujian->waktu }} Menit
</div>

<div class="mb-3">
  <strong>Kelas dan Deadline:</strong>
  <ul>
    @foreach ($ujian->kelas as $kelas)
      <li>
        {{ $kelas->nama_kelas }} {{ $kelas->tingkat}}- Deadline: 
        {{ $kelas->pivot->deadline ? \Carbon\Carbon::parse($kelas->pivot->deadline)->format('d M Y H:i') : 'Tidak ada deadline' }}
      </li>
    @endforeach
  </ul>
</div>


        <div class="d-flex flex-wrap gap-2">
          <a href="{{ route('guru.ujian.soal_essay', $ujian->id) }}" class="btn btn-success">
            <i class="fas fa-file-alt"></i> Soal Essay
          </a>
          <a href="{{ route('guru.ujian.soal_pg', $ujian->id) }}" class="btn btn-primary">
            <i class="fas fa-list-ul"></i> Pilihan Ganda
          </a>
        </div>
      </div>
    </div>

    </div>
  </div>
</section>
@endsection
