<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Evaluasi Nilai</title>
    <style>
        body { font-family: sans-serif; font-size: 12px; }
        table { width: 100%; border-collapse: collapse; margin-top: 20px; }
        th, td { border: 1px solid #000; padding: 6px; text-align: left; }
    </style>
</head>
<body>
    <h2>Evaluasi Nilai Siswa</h2>
    <p>Nama: <strong>{{ $siswa->nama }}</strong></p>
    <p>Tahun Ajaran: {{ $tahunAjaranAktif->tahun }}{{ $tahunAjaranAktif->semester }}</p>

    <table>
        <thead>
            <tr>
                <th>No</th>
                <th>Mata Pelajaran</th>
                <th>Rata-rata Tugas</th>
                <th>Rata-rata Ujian</th>
                <th>Nilai Total</th>
            </tr>
        </thead>
        <tbody>
            @foreach($mapelList as $index => $mapel)
                @php $rata = $rataNilai[$mapel->id] ?? ['rata_tugas' => '-', 'rata_ujian' => '-', 'nilai_total' => '-']; @endphp
                <tr>
                    <td>{{ $index + 1 }}</td>
                    <td>{{ $mapel->nama_mapel }}</td>
                    <td>{{ $rata['rata_tugas'] ?? '-' }}</td>
                    <td>{{ $rata['rata_ujian'] ?? '-' }}</td>
                    <td>{{ $rata['nilai_total'] ?? '-' }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>

    @if($nilaiTotalKeseluruhan !== null)
        <p><strong>Rata-rata Total Seluruh Mapel: {{ $nilaiTotalKeseluruhan }}</strong></p>
    @endif
</body>
</html>
