<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
  <title>Ecommerce Dashboard &mdash; Stisla</title>

  <!-- General CSS Files -->
  <link rel="stylesheet" href="{{ asset('User/assets/modules/bootstrap/css/bootstrap.min.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/fontawesome/css/all.min.css') }}">

  <!-- CSS Libraries -->
  <link rel="stylesheet" href="{{ asset('User/assets/modules/jqvmap/dist/jqvmap.min.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/summernote/summernote-bs4.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/owlcarousel2/dist/owl.carousel.min.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/owlcarousel2/dist/owl.theme.default.min.css') }}">

  <!-- Template CSS -->
  <link rel="stylesheet" href="{{ asset('User/assets/css/style.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/css/components.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/ionicons/css/ionicons.min.css') }}">


<!-- Start GA -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-94034622-3"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-94034622-3');
</script>
<style>
.main-navbar {
  background: linear-gradient(90deg, #6f42c1, #90aaff, #d63384);
  /* biru tua -> pink lembut -> biru muda */
  border-bottom: none;
}

.navbar-bg {
  background: linear-gradient(90deg, #6f42c1, #90aaff, #d63384);
}


.main-navbar .nav-link,
.main-navbar .dropdown-menu {
  color: #fff;
}

.main-navbar .nav-link:hover,
.main-navbar .dropdown-menu .dropdown-item:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

</style>
<!-- /END GA --></head>

<body>
  <div id="app">
  <div class="main-wrapper main-wrapper-1">
    <div class="navbar-bg"></div>

    @include('siswa.layouts.navbar')
    @include('siswa.layouts.sidebar')

    <div class="main-content">
     

        @yield('content')
     
    </div>

    @include('siswa.layouts.footer')
  </div>
</div>

      </div>
  <!-- General JS Scripts -->
  <script src="{{ asset('User/assets/modules/jquery.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/popper.js') }}"></script>
  <script src="{{ asset('User/assets/modules/tooltip.js') }}"></script>
  <script src="{{ asset('User/assets/modules/bootstrap/js/bootstrap.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/nicescroll/jquery.nicescroll.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/moment.min.js') }}"></script>
  <script src="{{ asset('User/assets/js/stisla.js') }}"></script>
  
  <!-- JS Libraies -->
  <script src="{{ asset('User/assets/modules/jquery.sparkline.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/chart.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/owlcarousel2/dist/owl.carousel.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/summernote/summernote-bs4.js') }}"></script>
  <script src="{{ asset('User/assets/modules/chocolat/dist/js/jquery.chocolat.min.js') }}"></script>

  <!-- Page Specific JS File -->
  <script src="{{ asset('User/assets/js/page/index.js') }}"></script>
  
  <!-- Template JS File -->
  <script src="{{ asset('User/assets/js/scripts.js') }}"></script>
  <script src="{{ asset('User/assets/js/custom.js') }}"></script>
  @yield('scripts')

  @stack('scripts')
</body>
</html>