@extends('siswa.layouts.app')

@section('page_title', 'Hasil Ujian')

@section('content')
<section class="section">
          <div class="section-header">
    <h1>Hasil Ujian: {{ $hasil->ujian->judul }}</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active"><a href="{{ route('siswa.dashboard') }}">Dashboard</a></div>
      <div class="breadcrumb-item">Hasil Ujian</div>
    </div>
  </div>

  <div class="section-body" data-aos="fade-up" data-aos-delay="100">
    <div class="card card-primary shadow-sm border-0 p-4">
      <ul class="list-group list-group-flush">
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <strong>Nilai Pilihan Ganda:</strong>
          <span class="badge badge-primary badge-pill">{{ $hasil->nilai_pg }}</span>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <strong>Nilai Essay:</strong>
          <span class="badge badge-success badge-pill">{{ $hasil->nilai_essay }}</span>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <strong>Total Nilai:</strong>
          <span class="badge badge-warning badge-pill text-dark">{{ $hasil->nilai_total }}</span>
        </li>
        <li class="list-group-item d-flex justify-content-between align-items-center">
          <strong>Waktu Selesai:</strong>
          <span>{{ $hasil->waktu_selesai }}</span>
        </li>
      </ul>
    </div>
  </div>
</section>
@endsection
