<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class JawabanSiswa extends Model
{
    protected $table = 'jawaban_siswa';

    protected $fillable = [
        'siswa_id',
        'soal_id',
        'soal_tipe',
        'jawaban',
    ];

    public function siswa()
    {
        return $this->belongsTo(Siswa::class); // Asumsi ada model Siswa yang menghubungkan jawaban dengan siswa
    }
    
  
}

