<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class KelasMapel extends Model
{
    use HasFactory;

    protected $table = 'kelas_mapel';

    // Kolom yang bisa diisi
    protected $fillable = ['kelas_id', 'mapel_id', 'tahun_ajaran_id'];

    // Relasi ke model Kelas
    public function kelas()
    {
        return $this->belongsTo(Kelas::class);
    }

    // Relasi ke model Mapel
    public function mapel()
    {
        return $this->belongsTo(Mapel::class);
    }

    // Relasi ke model TahunAjaran
    public function tahunAjaran()
    {
        return $this->belongsTo(TahunAjaran::class);
    }
    // Opsional
    public function guruMapel()
    {
        return $this->belongsTo(GuruMapel::class, 'mapel_id', 'mapel_id');
    }
}

