<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PengaturanBobot extends Model
{
    protected $table = 'pengaturan_bobot';
    protected $fillable = ['guru_id', 'kelas_id', 'bobot_tugas', 'bobot_ujian', 'bobot_sikap'];

    public function guru() { return $this->belongsTo(Guru::class); }
    public function kelas() { return $this->belongsTo(Kelas::class); }
}
