<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ujians', function (Blueprint $table) {
            $table->id();
            $table->string('judul');
            $table->text('keterangan')->nullable();
            $table->timestamp('tanggal_post')->nullable();
            $table->integer('waktu'); // durasi ujian dalam menit
            $table->text('soal')->nullable(); // optional, kalau kamu simpan soal langsung di sini
            $table->boolean('terbit')->default(false);
            $table->integer('bobot_pg')->default(0);
            $table->integer('bobot_essay')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ujians');
    }
};
