@extends('admin.layouts.app')

@section('title', 'Tambah User')

@section('content')
<div class="main-panel">
  <div class="content-wrapper">
    <h4>Tambah Data User</h4>
    <form action="{{ route('admin.users.store') }}" method="POST" style="max-width:600px;">
      @csrf

      <div class="form-group">
        <label>Username</label>
        <input type="text" name="username" class="form-control" required>
      </div>

      <div class="form-group">
        <label>Nama Lengkap</label>
        <input type="text" name="nama" class="form-control" required>
      </div>

      <div class="form-group">
        <label>Level</label>
        <select name="level" class="form-control" required>
          <option value="user_admin">Admin</option>
          <option value="user_guru">Guru</option>
          <option value="user_siswa">Siswa</option>
        </select>
      </div>

      <div class="form-group">
        <label>Password</label>
        <input type="password" name="password" class="form-control" required>
      </div>

      <button type="submit" class="btn btn-primary">Simpan</button>
      <a href="{{ route('admin.users.index') }}" class="btn btn-secondary">Batal</a>
    </form>
  </div>
</div>
@endsection
