@extends('guest') {{-- Layout umum tanpa sidebar/login --}}

@section('title', 'Lupa Password')

@section('content')
<div class="container mt-5">
    <h4>Lupa Password</h4>
    @if (session('status'))
        <div class="alert alert-success">{{ session('status') }}</div>
    @endif

    <form method="POST" action="{{ route('password.email') }}">
        @csrf

        <div class="form-group">
            <label for="role">Masuk sebagai</label>
            <select name="role" class="form-control" required>
                <option value="">-- Pilih Role --</option>
                <option value="admin">Admin</option>
                <option value="guru">Guru</option>
                <option value="siswa">Siswa</option>
            </select>
        </div>

        <div class="form-group">
            <label>Email</label>
            <input name="email" type="email" class="form-control" required>
        </div>

        <button type="submit" class="btn btn-primary">Kirim Link Reset</button>
    </form>
</div>
@endsection

