@php
    $role = session('password_reset_role', 'guest');
@endphp

@extends(
    $role === 'admin' ? 'admin.layouts.app' :
    ($role === 'guru' ? 'guru.layouts.app' :
    ($role === 'siswa' ? 'siswa.layouts.app' : 'guest'))
)

@section('title', 'Reset Password')

@section('content')
<div class="container mt-5">
    <h4>Reset Password</h4>

    <form method="POST" action="{{ route('password.store') }}">
        @csrf

        <input type="hidden" name="token" value="{{ $request->route('token') }}">
        <input type="hidden" name="email" value="{{ $request->email }}">

        <div class="form-group">
            <label>Password Baru</label>
            <input type="password" name="password" class="form-control" required>
        </div>

        <div class="form-group">
            <label>Konfirmasi Password Baru</label>
            <input type="password" name="password_confirmation" class="form-control" required>
        </div>

        <button type="submit" class="btn btn-primary">Reset Password</button>
    </form>
</div>
@endsection
