<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no" name="viewport">
  <title>@yield('title', 'E-Learning')</title>

  <!-- General CSS Files -->
  <link rel="stylesheet" href="{{ asset('User/assets/modules/bootstrap/css/bootstrap.min.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/modules/fontawesome/css/all.min.css') }}">

  <!-- Template CSS -->
  <link rel="stylesheet" href="{{ asset('User/assets/css/style.css') }}">
  <link rel="stylesheet" href="{{ asset('User/assets/css/components.css') }}">

  @yield('styles')
</head>

<body>
  <div id="app">
    <div class="main-wrapper main-wrapper-1">
      {{-- Tidak perlu sidebar dan navbar di layout guest --}}
      <div class="main-content">
        <section class="section">
          <div class="section-body">
            @yield('content')
          </div>
        </section>
      </div>
    </div>
  </div>

  <!-- General JS Scripts -->
  <script src="{{ asset('User/assets/modules/jquery.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/bootstrap/js/bootstrap.min.js') }}"></script>
  <script src="{{ asset('User/assets/modules/nicescroll/jquery.nicescroll.min.js') }}"></script>
  <script src="{{ asset('User/assets/js/stisla.js') }}"></script>

  <!-- Template JS File -->
  <script src="{{ asset('User/assets/js/scripts.js') }}"></script>
  <script src="{{ asset('User/assets/js/custom.js') }}"></script>

  @yield('scripts')
</body>
</html>
