@extends('guru.layouts.app')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Profil Saya</h1>
    <div class="section-header-button ml-auto">
      <a href="{{ route('guru.profile.edit') }}" class="btn btn-primary">
        <i class="fas fa-user-edit"></i> Edit Profil
      </a>
    </div>
  </div>

  <div class="section-body">
    <div class="row justify-content-center">
      <div class="col-12 col-md-10 col-lg-8">
        <div class="card">
          <div class="card-header">
            <h4>Informasi Profil</h4>
          </div>
          <div class="card-body">
            <table class="table table-borderless mb-0">
              <tr>
                <th width="30%">Nama</th>
                <td>{{ $guru->nama }}</td>
              </tr>
              <tr>
                <th>Email</th>
                <td>{{ $user->email }}</td>
              </tr>
              <tr>
                <th>NIP</th>
                <td>{{ $guru->nip ?? '-' }}</td>
              </tr>
              <tr>
                <th>Jenis Kelamin</th>
                <td>
                  @if($guru->jenis_kelamin == 'L')
                    Laki-laki
                  @elseif($guru->jenis_kelamin == 'P')
                    Perempuan
                  @else
                    -
                  @endif
                </td>
              </tr>
              <tr>
                <th>Jabatan</th>
                <td>{{ $guru->jabatan ?? '-' }}</td>
              </tr>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
@endsection
