<div class="navbar-bg"></div>
<nav class="navbar navbar-expand-lg main-navbar">
    <form class="form-inline mr-auto">
        <ul class="navbar-nav mr-3">
            <li>
                <a href="#" data-toggle="sidebar" class="nav-link nav-link-lg"><i class="fas fa-bars"></i></a>
            </li>
        </ul>
    </form>

    <ul class="navbar-nav navbar-right">
        <li class="dropdown dropdown-list-toggle">
                <ul class="navbar-nav navbar-right">
    <li class="nav-item">
        {{-- Pastikan user adalah siswa DAN relasi siswa ada, DAN relasi tahunAjaran ada --}}
        @if(Auth::check() && Auth::user()->siswa && Auth::user()->siswa->tahunAjaran)
            <a href="#" class="nav-link nav-link-lg">
                <i class="far fa-calendar-alt"></i> Tahun Ajaran:
                <span class="d-sm-none d-lg-inline-block">
                    {{ Auth::user()->siswa->tahunAjaran->tahun ?? '-' }}{{ Auth::user()->siswa->tahunAjaran->semester ?? '-' }}
                    </span>
            </a>
        @else
            {{-- Tampilkan placeholder jika user bukan siswa atau tidak ada tahun ajaran --}}
            <a href="#" class="nav-link nav-link-lg">
                <i class="far fa-calendar-alt"></i> Tahun Ajaran: <span class="d-sm-none d-lg-inline-block">-</span>
            </a>
        @endif
    </li>
            <div class="dropdown-menu dropdown-list dropdown-menu-right">
                
                <div cs="dropdown-list-content dropdown-list-icons">
                    <div class="dropdown-item dropdown-item-unread">
                        <div class="dropdown-item-icon bg-primary text-white">
                            <i class="fas fa-info-circle"></i>
                        </div>
                    </div>
                </div>
                <div class="dropdown-footer text-center">
                    <a href="#">Lihat Semua <i class="fas fa-chevron-right"></i></a>
                </div>
            </div>
        </li>

        <li class="dropdown">
            <a href="#" data-toggle="dropdown" class="nav-link dropdown-toggle nav-link-lg nav-link-user">
                <div class="d-sm-none d-lg-inline-block">Hi, {{ Auth::user()->name }}</div>
            </a>
            <div class="dropdown-menu dropdown-menu-right">

                <a href="{{ route('siswa.profile.show') }}" class="dropdown-item has-icon">
                    <i class="far fa-user"></i> Profil
                </a>

                <div class="dropdown-divider"></div>

                <form method="POST" action="{{ route('logout') }}">
                    @csrf
                    <button type="submit" class="dropdown-item has-icon text-danger">
                        <i class="fas fa-sign-out-alt"></i> Keluar
                    </button>
                </form>
            </div>
        </li>
    </ul>
</nav>