@extends('siswa.layouts.app')

@section('title', 'Profil Siswa')

@section('content')
<section class="section">
  <div class="section-header">
    <h1>Profil Siswa</h1>
    <div class="section-header-breadcrumb">
      <div class="breadcrumb-item active">
        <a href="{{ route('siswa.dashboard') }}">Dashboard</a>
      </div>
      <div class="breadcrumb-item">Profil</div>
    </div>
  </div>

  <div class="section-body">
    <div class="card shadow-sm">
      <div class="card-body">
        <h4 class="card-title">{{ $siswa->nama }}</h4>
        <hr>

        <p><strong>Email:</strong> {{ $user->email ?? '-' }}</p>
        <p><strong>NISN:</strong> {{ $siswa->nisn ?? '-' }}</p>
        <p><strong>Kelas:</strong> {{ $siswa->kelas->nama_kelas ?? '-' }}{ $siswa->kelas->tingkat ?? '-' }}</p>
        <p><strong>Jenis Kelamin:</strong> {{ $siswa->jenis_kelamin == 'L' ? 'Laki-laki' : 'Perempuan' }}</p>
        <p><strong>Alamat:</strong> {{ $siswa->alamat ?? '-' }}</p>
        <p><strong>Password:</strong> ******</p> {{-- Tidak ditampilkan untuk keamanan --}}

        <a href="{{ route('siswa.profile.edit') }}" class="btn btn-primary mt-3">
          <i class="fas fa-edit mr-1"></i> Edit Profil
        </a>
      </div>
    </div>
  </div>
</section>
@endsection
